Apply by doing:
	cd /usr/src
	patch -p0 < 004_i386machdep.patch

And then rebuild your kernel.

Index: sys/arch/i386/i386/sys_machdep.c
===================================================================
RCS file: /cvs/src/sys/arch/i386/i386/sys_machdep.c,v
retrieving revision 1.23
retrieving revision 1.23.6.1
diff -u -p -r1.23 -r1.23.6.1
--- sys/arch/i386/i386/sys_machdep.c	1 Feb 2004 12:26:45 -0000	1.23
+++ sys/arch/i386/i386/sys_machdep.c	13 Jan 2006 04:12:15 -0000	1.23.6.1
@@ -394,6 +394,13 @@ i386_set_ioperm(p, args, retval)
 	if ((error = suser(p, 0)) != 0)
 		return error;
 
+#ifdef APERTURE
+	if (!allowaperture && securelevel > 0)
+		return EPERM;
+#else
+	if (securelevel > 0)
+		return EPERM;
+#endif
 	if ((error = copyin(args, &ua, sizeof(ua))) != 0)
 		return (error);
 
